/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSRule_H__
#define __GdomCSSRule_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSRule GdomCSSRule;
typedef struct _GdomCSSRuleClass GdomCSSRuleClass;


#define GDOM_TYPE_CSS_RULE            (gdom_css_rule_get_type())
#define GDOM_CSS_RULE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_RULE, GdomCSSRule))
#define GDOM_CSS_RULE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_RULE, GdomCSSRule)Class)
#define GDOM_IS_CSS_RULE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_RULE))
#define GDOM_IS_CSS_RULE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_RULE))
#define GDOM_CSS_RULE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_RULE, GdomCSSRuleClass))

typedef struct _GdomCSSRulePrivate GdomCSSRulePrivate;

struct _GdomCSSRule {
    GdomDOMObject parent_instance;
    GdomCSSRulePrivate *priv;
};

struct _GdomCSSRuleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_rule_get_type (void);

G_END_DECLS

#endif /* __GdomCSSRule_H__ */
